Debian Bug report logs - #542175
Port GNOME frontend to GtkAssistant

version graph

Package: debconf; Maintainer for debconf is Debconf Developers <debconf-devel@lists.alioth.debian.org>; Source for debconf is src:debconf.

Reported by: Jani Monoses <jani@ubuntu.com>

Date: Tue, 18 Aug 2009 09:18:02 UTC

Severity: normal

Tags: patch

Found in version debconf/1.5.26

Fixed in version debconf/1.5.40

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Tue, 18 Aug 2009 09:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jani Monoses <jani@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Tue, 18 Aug 2009 09:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jani Monoses <jani@ubuntu.com>
To: submit@bugs.debian.org
Subject: Port GNOME frontend to GtkAssistant
Date: Tue, 18 Aug 2009 12:16:27 +0300
[Message part 1 (text/plain, inline)]
Package: debconf
Version: 1.5.26

From LP:

https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/415038

the patch attached to above may be a good starting point if it is decided
that Gnome.pm is moved to GtkAssistant

http://launchpadlibrarian.net/30430016/d.diff

I may have missed corner cases and the back button situation is unclear but
otherwise it works for me.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Tue, 18 Aug 2009 17:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kalle Olavi Niemitalo <kon@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Tue, 18 Aug 2009 17:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 542175@bugs.debian.org (full text, mbox):

From: Kalle Olavi Niemitalo <kon@iki.fi>
To: Jani Monoses <jani@ubuntu.com>
Cc: 542175@bugs.debian.org
Subject: Re: Bug#542175: Port GNOME frontend to GtkAssistant
Date: Tue, 18 Aug 2009 20:40:25 +0300
[Message part 1 (text/plain, inline)]
Jani Monoses <jani@ubuntu.com> writes:

> I may have missed corner cases and the back button situation is unclear but
> otherwise it works for me.

debconf-1.5.27/Debconf/Element/Gnome/Select.pm does "use Gnome2;"
too.  I suppose that will have to be removed if libgnome2-perl
is going to be dropped.  That file doesn't seem to actually use
any widgets from Gnome2.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Tue, 18 Aug 2009 20:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jani Monoses <jani@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Tue, 18 Aug 2009 20:48:09 GMT) Full text and rfc822 format available.

Message #15 received at 542175@bugs.debian.org (full text, mbox):

From: Jani Monoses <jani@ubuntu.com>
To: 542175@bugs.debian.org
Subject: updated patch
Date: Tue, 18 Aug 2009 23:41:16 +0300
[Message part 1 (text/plain, inline)]
Against svn HEAD (previous was agains Ubuntu 9.04 package)
Also removes the use Gnome2 mentioned above.
[Message part 2 (text/html, inline)]
[d2.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Fri, 17 Dec 2010 13:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Fri, 17 Dec 2010 13:54:06 GMT) Full text and rfc822 format available.

Message #20 received at 542175@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Jani Monoses <jani@ubuntu.com>
Cc: 542175@bugs.debian.org
Subject: Re: updated patch
Date: Fri, 17 Dec 2010 13:50:53 +0000
[Message part 1 (text/plain, inline)]
Thanks for this patch, Jani.

I agree with the general principle; libgnome/libgnomeui are in general
deprecated and their functionality is being moved into GTK+.  We need to
adopt the more modern interfaces if this frontend is going to continue
to work with GTK+ 3.0.  Plus, libgnome2-perl is not negligibly small and
very little other than debconf uses it any more.

Martin Pitt and I both worked on updating this patch to current debconf
and fixing some further bugs, with the following combined changelog:

  [ Martin Pitt ]
  * Debconf/FrontEnd/Gnome.pm: Port from Gnome2::Druid to Gtk2::Assistant.
    Original patch by Jani Monoses, thanks! (LP: #415038)
  * Debconf/Element/Gnome/Select.pm: Drop unused Gnome2 import.
  * debian/control: Change libgnome2-perl suggestion to libgtk2-perl
    accordingly.

  [ Colin Watson ]
  * Fix Gnome frontend to honour backup capability again, and make backup
    page handling work properly.
  * Version libgtk2-perl Suggests to match the upstream version where
    Gtk2::Assistant was introduced.
  * Convert from deprecated Gtk2::Combo to Gtk2::ComboBox.
  * Make sure you can't press Forward on a progress bar in the Gnome
    frontend.

There are probably a few more uses of deprecated interfaces to clean up,
but in general I'm happy with this now, and would apply it to debconf
trunk except for the fact that Debian is currently frozen.  I have to go
ahead and apply it to Ubuntu because we're under serious space
constraints for our next release and need to work to get rid of
libgnome2-perl as part of that; but with my Debian hat on, unless Joey
objects, I'll apply this to Debian as soon as we thaw.

Cheers,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]
[gtkassistant.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Fri, 17 Dec 2010 19:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Fri, 17 Dec 2010 19:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 542175@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Colin Watson <cjwatson@ubuntu.com>, 542175@bugs.debian.org
Cc: Jani Monoses <jani@ubuntu.com>
Subject: Re: Bug#542175: updated patch
Date: Fri, 17 Dec 2010 15:36:56 -0400
[Message part 1 (text/plain, inline)]
Colin Watson wrote:
> ahead and apply it to Ubuntu because we're under serious space
> constraints for our next release and need to work to get rid of
> libgnome2-perl as part of that; but with my Debian hat on, unless Joey
> objects, I'll apply this to Debian as soon as we thaw.

That probably makes sense, although it's worth noting Debian is also
under some space constraints on gnome CD1.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Fri, 17 Dec 2010 20:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Fri, 17 Dec 2010 20:03:09 GMT) Full text and rfc822 format available.

Message #30 received at 542175@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: Joey Hess <joeyh@debian.org>
Cc: 542175@bugs.debian.org, Jani Monoses <jani@ubuntu.com>
Subject: Re: Bug#542175: updated patch
Date: Fri, 17 Dec 2010 20:00:00 +0000
On Fri, Dec 17, 2010 at 03:36:56PM -0400, Joey Hess wrote:
> Colin Watson wrote:
> > ahead and apply it to Ubuntu because we're under serious space
> > constraints for our next release and need to work to get rid of
> > libgnome2-perl as part of that; but with my Debian hat on, unless Joey
> > objects, I'll apply this to Debian as soon as we thaw.
> 
> That probably makes sense, although it's worth noting Debian is also
> under some space constraints on gnome CD1.

Will 600KB or so make a useful difference there?  If so then yes, it may
be worth trying to cram it in, although if we're doing that then it
probably wants some more extensive testing than I've given it (I've done
samples/demo, samples/demo adjusted for backup, and dpkg-reconfigure of
a few packages in a few different UTF-8 locales - I think it was
apt-listchanges, grub-pc, and man-db).

Actually getting rid of libgnome2-perl requires changing several other
packages which have dependencies or recommendations on libgnome2-perl
"because we want the debconf Gnome frontend".  Some likely candidates
which I can see on a brief browse through Packages:

  debian-edu-install
  gdebi
  gnome-desktop-environment
  synaptic

It would also be worth checking that there's nothing else on GNOME CD 1
that actually needs libgnome2-perl in its own right, because in that
case we don't gain anything from rushing in a new debconf.
Possibilities for that:

  greenwich
  movixmaker-2
  podbrowser
  shutter
  yarssr

-- 
Colin Watson                                       [cjwatson@ubuntu.com]




Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Fri, 17 Dec 2010 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Fri, 17 Dec 2010 20:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 542175@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Colin Watson <cjwatson@ubuntu.com>
Cc: 542175@bugs.debian.org, Jani Monoses <jani@ubuntu.com>
Subject: Re: Bug#542175: updated patch
Date: Fri, 17 Dec 2010 16:22:47 -0400
[Message part 1 (text/plain, inline)]
Colin Watson wrote:
> Will 600KB or so make a useful difference there? 

I don't know yet; probably not.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debconf Developers <debconf-devel@lists.alioth.debian.org>:
Bug#542175; Package debconf. (Tue, 17 May 2011 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debconf Developers <debconf-devel@lists.alioth.debian.org>. (Tue, 17 May 2011 04:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 542175@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: 542175@bugs.debian.org
Subject: Re: Port GNOME frontend to GtkAssistant
Date: Mon, 16 May 2011 21:00:30 -0700
[Message part 1 (text/plain, inline)]
tags 542175 patch
thanks

Colin, you mentioned you would apply this patch as soon as Debian thawed -
that's happened now, and this port still shows up in the Ubuntu delta when
looking at merging now that oneiric is open.  So here's a reminder. :)

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Steve Langasek <steve.langasek@canonical.com> to control@bugs.debian.org. (Tue, 17 May 2011 04:03:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 13 Jun 2011 08:52:06 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Wed, 22 Jun 2011 22:06:03 GMT) Full text and rfc822 format available.

Notification sent to Jani Monoses <jani@ubuntu.com>:
Bug acknowledged by developer. (Wed, 22 Jun 2011 22:06:03 GMT) Full text and rfc822 format available.

Message #49 received at 542175-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 542175-close@bugs.debian.org
Subject: Bug#542175: fixed in debconf 1.5.40
Date: Wed, 22 Jun 2011 22:02:11 +0000
Source: debconf
Source-Version: 1.5.40

We believe that the bug you reported is fixed in the latest version of
debconf, which is due to be installed in the Debian FTP archive:

debconf-doc_1.5.40_all.deb
  to main/d/debconf/debconf-doc_1.5.40_all.deb
debconf-i18n_1.5.40_all.deb
  to main/d/debconf/debconf-i18n_1.5.40_all.deb
debconf-utils_1.5.40_all.deb
  to main/d/debconf/debconf-utils_1.5.40_all.deb
debconf_1.5.40.dsc
  to main/d/debconf/debconf_1.5.40.dsc
debconf_1.5.40.tar.gz
  to main/d/debconf/debconf_1.5.40.tar.gz
debconf_1.5.40_all.deb
  to main/d/debconf/debconf_1.5.40_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 542175@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated debconf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 22 Jun 2011 22:50:23 +0100
Source: debconf
Binary: debconf debconf-i18n debconf-doc debconf-utils
Architecture: source all
Version: 1.5.40
Distribution: unstable
Urgency: low
Maintainer: Debconf Developers <debconf-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 debconf    - Debian configuration management system
 debconf-doc - debconf documentation
 debconf-i18n - full internationalization support for debconf
 debconf-utils - debconf utilities
Closes: 542175 584844 603965 616786 625935 626475 626706
Changes: 
 debconf (1.5.40) unstable; urgency=low
 .
   [ Joey Hess ]
   * Updated Russian man page translation. Closes: #625935
   * Updated Galician translation of program po file. Closes: #626475
   * Add back documenation for the kde frontend.
 .
   [ Martin Pitt ]
   * Debconf/FrontEnd/Gnome.pm: Port from Gnome2::Druid to Gtk2::Assistant.
     Original patch by Jani Monoses, thanks! (Closes: #542175, LP: #415038)
   * Debconf/Element/Gnome/Select.pm: Drop unused Gnome2 import.
   * debian/control: Change libgnome2-perl suggestion to libgtk2-perl
     accordingly.
 .
   [ Colin Watson ]
   * Fix Gnome frontend to honour backup capability again, and make backup
     page handling work properly.
   * Version libgtk2-perl Suggests to match the upstream version where
     Gtk2::Assistant was introduced.
   * Convert from deprecated Gtk2::Combo to Gtk2::ComboBox.
   * Make sure you can't press Forward on a progress bar in the Gnome
     frontend.
   * debconf.py: Drop popen2 compatibility code.  subprocess has been
     available since Python 2.4, which is old enough that it was dropped from
     squeeze.
   * Build for all currently supported Python 2 versions (closes: #584844,
     #626706).
   * Convert to dh_python2 (closes: #603965, #616786).
   * Add Python 3 support.
   * Perl gets a bit confused by Debconf::Config and Debconf::Priority using
     each other, and objects to bareword use of priority_list in
     Debconf::Config if you do 'use strict; use Debconf::Priority' before
     Debconf::Config is loaded.  Work around this.  Thanks to James Hunt for
     pointing this out.
Checksums-Sha1: 
 000a6f256dfb4da8762414c341918b5ee3b4ebba 1829 debconf_1.5.40.dsc
 0fac174f74b8aa3f7bc816fbc81448a04486ab2e 962328 debconf_1.5.40.tar.gz
 194f885cff8390d34a99e156526edcc43307b58f 168098 debconf_1.5.40_all.deb
 38f7d975adf37fdec05f3ebb46388e067d83b6ae 227912 debconf-i18n_1.5.40_all.deb
 bd6d00ef066fa94d4db8f5b30d6ae69960231c06 309950 debconf-doc_1.5.40_all.deb
 56154c142afd44d2cb081be1c9b54441847a49e7 54824 debconf-utils_1.5.40_all.deb
Checksums-Sha256: 
 9f5a799da11f7947c253073bc8711acead4ec6875f1e419b54711b7c5943aed1 1829 debconf_1.5.40.dsc
 e2bffa77a73d96f80615731da1c55f7fd69530db7e45adf586b0de65035675d0 962328 debconf_1.5.40.tar.gz
 47fb9cb9422074af62ec6b34461d1591cea71691336cbe4a2d0e7b4621a62219 168098 debconf_1.5.40_all.deb
 d3d01256c0c1039b47fe499f875d39f64d0b28c942b61c3214f40c089649398f 227912 debconf-i18n_1.5.40_all.deb
 f572c23607830bf9d069c48156ff794b7e201a3e02055a3cc97420fedb90e1bf 309950 debconf-doc_1.5.40_all.deb
 4f91e0008ad0b5afd0cd27c66f2745cc4d35ff081c11404dd5d3b073021e83d0 54824 debconf-utils_1.5.40_all.deb
Files: 
 3beeef06e4a69394fea94efaf1fddcaf 1829 admin optional debconf_1.5.40.dsc
 fee0d2ea3d035b2cda8f8eacbe2adc86 962328 admin optional debconf_1.5.40.tar.gz
 a22154927748b434855996ec4f1e6f84 168098 admin important debconf_1.5.40_all.deb
 7db0bddb6f0081f74ea1eb309213d321 227912 localization important debconf-i18n_1.5.40_all.deb
 c1ca4a7aae60507357384986affaf62a 309950 doc optional debconf-doc_1.5.40_all.deb
 574806ff57372a0d58b1554611a61b5f 54824 devel optional debconf-utils_1.5.40_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTgJkYjk1h9l9hlALAQjKjxAAkRTvEqb/fX6/VFo7s1v7u7tjuH1k9Lxd
/QQNa9dJ/LWyTi+DYCwkPWQawCj/pnPyg0I14dfDeT+OrD2lWHiOTk6uFg+mSTQO
7Oz0tkKJvjiAodrzSJyOsGpFBca77FsSbMDjnwNx1KeNPbO+InK6e3jyAWAqB9Da
E2Mu6qWVwJyTqguikmc/S3BSHviJd/Gqoy+sApYB+ni4ebwpWGvPrhEUhkDY5G8X
p9FBNh9Maof0AlmM3Mx2FnMIZ6FbsdXSImnHV7ZMAznTL0kMUiUK7nTkOZXQ4Y/s
6S1CBi1RtQ+9E4H0+kDM2HAln6lH/QHqo5YHyqacebygC2UYWTdF4qmab4zS/Y7H
gmnlvEuBEBxvcyfCRtlD6Mq9F3odQpi+NGUT8E2FU/gTLmp1oXWLiDCXxKu9Ssfo
GdpzWemaYrDnJy5EJ8uSj4UApXf3VrHEkJtpuEGv6NLA9BUPjDwlSIRIfxVYfWy4
5HSxAwkbmScnfxEfoNG0ML0bcll5twKwZwcVg1ASJ1vkE27mP3O57V2owUzL23xy
9hshanbI1JtRp4Zvhcqlin3AswGkWqswUHpLz6jTvMg+2YOSA2JgRpcTJEZ+ZzB1
FdNImScyks8z8O64Io3gLT6wZsQHgn+oV+7W8Zng8dRayuolYxflhDleLk/lXxBD
/Xz42yfq54s=
=i1Ka
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 31 Jul 2011 07:38:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:30:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.